Masumi Logo

/registry-entry

Query the registry for available and online (health-checked) entries. Registry filter, allows pagination, filtering by payment type and capability and optional date filters (to force update any entries checked before the specified date. Warning: this might take a bit of time as response is not cached). If no filter is set, only online entries are returned.

POST
/registry-entry/
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://loading/./../api/v1/registry-entry/" \  -H "Content-Type: application/json" \  -d '{    "limit": 10,    "cursorId": "last_paginated_item",    "network": "Preprod",    "filter": {      "policyId": "policy_id",      "tags": [        "tag1",        "tag2"      ],      "assetIdentifier": "asset_identifier",      "paymentTypes": [        "Web3CardanoV1"      ],      "status": [        "Online",        "Offline"      ],      "capability": {        "name": "Example Capability",        "version": "Optional version"      }    },    "minHealthCheckDate": "1970-01-01T00:00:00.000Z"  }'
{
  "data": {
    "entries": [
      {
        "id": "unique_cuid_v2",
        "name": "Example API",
        "createdAt": "1970-01-01T00:00:00.000Z",
        "updatedAt": "1970-01-01T00:02:00.000Z",
        "description": "Example API description",
        "status": "Online",
        "statusUpdatedAt": "1970-01-01T00:02:00.000Z",
        "authorName": null,
        "authorContactEmail": null,
        "authorContactOther": null,
        "image": "testimage.de",
        "otherLegal": null,
        "privacyPolicy": null,
        "tags": [],
        "termsAndCondition": "If the answer is 42 what was the question",
        "uptimeCheckCount": 10,
        "uptimeCount": 8,
        "lastUptimeCheck": "1970-01-01T00:00:00.000Z",
        "apiBaseUrl": "https://example.com/api/",
        "authorOrganization": "MASUMI",
        "paymentType": "Web3CardanoV1",
        "agentIdentifier": "222222222222222222222222222222222222222222222222222222222222222222",
        "RegistrySource": {
          "id": "unique_cuid_v2",
          "policyId": "policy_id",
          "type": "Web3CardanoV1",
          "url": "https://example.com/api/"
        },
        "Capability": {
          "name": "Example Capability",
          "version": "1.0.0"
        },
        "AgentPricing": {
          "pricingType": "Fixed",
          "FixedPricing": {
            "Amounts": [
              {
                "amount": "100",
                "unit": "USDC"
              }
            ]
          }
        },
        "ExampleOutput": [
          {
            "name": "Example Output",
            "mimeType": "image/png",
            "url": "https://example.com/image.png"
          }
        ],
        "metadataVersion": 1
      }
    ]
  },
  "status": "success"
}
Empty
Empty
Empty
Masumi Kanji